package org.ssssssss.magicboot.zdyutils;

import com.alibaba.fastjson.JSONObject;
import org.ssssssss.magicboot.fxapi.HttpClientResult;
import org.ssssssss.magicboot.fxapi.HttpClientUtils;

public class APIUtil {
    public static void endApi(String dept, Boolean sendFlag, String syn_type,
                              String dataId, String nameData, String endtime,
                              String mark_id, StringBuffer stringBuffer) {
        JSONObject jsonObjectData = new JSONObject();
        jsonObjectData.put("log_type", dept); //业务类型
        jsonObjectData.put("log_status", !sendFlag);//同步状态 0同步成功 1同步失败
        jsonObjectData.put("syn_type", syn_type);//同步类型 0新增 1修改 2删除
        jsonObjectData.put("data_id", dataId);//数据id
        jsonObjectData.put("data_name", nameData);//数据名称
        jsonObjectData.put("mark", endtime);//标识
        jsonObjectData.put("res_body", "同步成功");//返回值
        jsonObjectData.put("mark_id", mark_id);//目标对象id
        if (sendFlag) {
            jsonObjectData.put("res_body", stringBuffer.toString());//返回值
        }
        //回写
        MagicApi.saveDataLog(jsonObjectData);

    }
    public static void endApi(String dept, Boolean sendFlag, String syn_type,
                              String dataId, String nameData, String endtime,
                              String mark_id, StringBuffer stringBuffer,
                              String sendUrl, String sendBody, String sendRes) {
        JSONObject jsonObjectData = new JSONObject();
        jsonObjectData.put("log_type", dept); //业务类型
        jsonObjectData.put("log_status", !sendFlag);//同步状态 0同步成功 1同步失败
        jsonObjectData.put("syn_type", syn_type);//同步类型 0新增 1修改 2删除
        jsonObjectData.put("data_id", dataId);//数据id
        jsonObjectData.put("data_name", nameData);//数据名称
        jsonObjectData.put("mark", endtime);//标识
        jsonObjectData.put("res_body", "同步成功");//返回值
        jsonObjectData.put("mark_id", mark_id);//目标对象id
        jsonObjectData.put("send_url", sendUrl);//返回值
        jsonObjectData.put("send_body", sendBody);//返回值
        jsonObjectData.put("send_res", sendRes);//返回值
        if (sendFlag) {
            jsonObjectData.put("res_body", stringBuffer.toString());//返回值
        }
        //回写
        MagicApi.saveDataLog(jsonObjectData);

    }

    public static void main(String[] args) {
        APIUtil.kcLog( "1", "1", "1","1");
    }
    public static void kcLog(String stock_code, String pro_code,
                              String batch, String qty) {
        JSONObject apiLog = new JSONObject();
        apiLog.put("stock_code", stock_code); //
        apiLog.put("pro_code", pro_code);//
        apiLog.put("batch", batch);//
        apiLog.put("qty", qty);//
        //回写
        MagicApi.saveApiDataLog(apiLog);
    }

    /**
     * 请求分享接口
     *
     * @param Xkjson
     */
    public static  String FXApiObj(String url, String Xkjson) {
        HttpClientResult rtn = null;
        boolean flag = true;
        try {
            rtn = HttpClientUtils.doPostJson(url, Xkjson);
            return rtn.getContent();
        } catch (Exception e) {
            flag = false;
        }
        //APIUtil.apiLog(url, Xkjson, rtn.toString(), flag, JsonData.strDataId, "");
        return null;
    }


}
